org.apache.lucene.queryparser.flexible.core.nodes

## Interface RangeQueryNode<T extends FieldValuePairQueryNode<?>>

- All Superinterfaces:
    FieldableNode, QueryNode
  All Known Implementing Classes:
    AbstractRangeQueryNode, NumericRangeQueryNode, TermRangeQueryNode

      public interface RangeQueryNode<T extends FieldValuePairQueryNode<?>>
      extends FieldableNode

  This interface should be implemented by a `QueryNode` that represents some kind of range query.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getLowerBound()`
    `T` | `getUpperBound()`
    `boolean` | `isLowerInclusive()`
    `boolean` | `isUpperInclusive()`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.FieldableNode

      `getField, setField`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

      `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, toQueryString, toString, unsetTag`

- - ### Method Detail

    - #### getLowerBound

          T getLowerBound()

    - #### getUpperBound

          T getUpperBound()

    - #### isLowerInclusive

          boolean isLowerInclusive()

    - #### isUpperInclusive

          boolean isUpperInclusive()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.